summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
Diffstat (limited to 'plugins')
-rw-r--r--plugins/brew/_brew1
-rw-r--r--plugins/brew/brew.plugin.zsh4
-rw-r--r--plugins/compleat/compleat.plugin.zsh22
-rw-r--r--plugins/cpanm/cpanm.plugin.zsh4
-rw-r--r--plugins/deb/deb.plugin.zsh1
-rw-r--r--plugins/gem/gem.plugin.zsh4
-rw-r--r--plugins/git-flow/git-flow.plugin.zsh332
-rw-r--r--plugins/github/github.plugin.zsh4
-rw-r--r--plugins/lein/lein.plugin.zsh27
-rw-r--r--plugins/macports/macports.plugin.zsh4
-rw-r--r--plugins/mysql-macports/mysql-macports.plugin.zsh8
-rw-r--r--plugins/mysql/mysql-macports.plugin.zsh6
-rw-r--r--plugins/npm/npm.plugin.zsh4
-rw-r--r--plugins/pip/pip.plugin.zsh4
-rw-r--r--plugins/rails3/rails3.plugin.zsh34
-rw-r--r--plugins/redis-cli/_redis-cli142
-rw-r--r--plugins/vagrant/vagrant.plugin.zsh3
-rw-r--r--plugins/yum/yum.plugin.zsh12
18 files changed, 572 insertions, 44 deletions
diff --git a/plugins/brew/_brew b/plugins/brew/_brew
index 4e590ac63..cee1e25f0 100644
--- a/plugins/brew/_brew
+++ b/plugins/brew/_brew
@@ -31,6 +31,7 @@ _1st_arguments=(
'search:search for a formula (/regex/ or string)'
'unlink:unlink a formula'
'update:freshen up links'
+ 'upgrade:upgrade outdated formulae'
'uses:show formulas which depend on a formula'
)
diff --git a/plugins/brew/brew.plugin.zsh b/plugins/brew/brew.plugin.zsh
deleted file mode 100644
index 353a18942..000000000
--- a/plugins/brew/brew.plugin.zsh
+++ /dev/null
@@ -1,4 +0,0 @@
-# add brew completion function to path
-fpath=($ZSH/plugins/brew $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/compleat/compleat.plugin.zsh b/plugins/compleat/compleat.plugin.zsh
new file mode 100644
index 000000000..8d16a5687
--- /dev/null
+++ b/plugins/compleat/compleat.plugin.zsh
@@ -0,0 +1,22 @@
+# ------------------------------------------------------------------------------
+# FILE: compleat.plugin.zsh
+# DESCRIPTION: oh-my-zsh plugin file.
+# AUTHOR: Sorin Ionescu (sorin.ionescu@gmail.com)
+# VERSION: 1.0.0
+# ------------------------------------------------------------------------------
+
+
+if (( ${+commands[compleat]} )); then
+ local prefix="${commands[compleat]:h:h}"
+ local setup="${prefix}/share/compleat-1.0/compleat_setup"
+
+ if [[ -f "$setup" ]]; then
+ if ! bashcompinit >/dev/null 2>&1; then
+ autoload -U bashcompinit
+ bashcompinit -i
+ fi
+
+ source "$setup"
+ fi
+fi
+
diff --git a/plugins/cpanm/cpanm.plugin.zsh b/plugins/cpanm/cpanm.plugin.zsh
deleted file mode 100644
index af52d3e8b..000000000
--- a/plugins/cpanm/cpanm.plugin.zsh
+++ /dev/null
@@ -1,4 +0,0 @@
-# add cpanm completion function to path
-fpath=($ZSH/plugins/cpanm $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/deb/deb.plugin.zsh b/plugins/deb/deb.plugin.zsh
index 732294a87..1b35a0646 100644
--- a/plugins/deb/deb.plugin.zsh
+++ b/plugins/deb/deb.plugin.zsh
@@ -9,4 +9,5 @@ alias ar="sudo apt-get remove --purge && \
sudo apt-get autoremove --purge" # remove package
alias ap="apt-cache policy" # apt policy
alias av="apt-cache show" # show package info
+alias acs="apt-cache search" # search package
alias ac="sudo apt-get clean && sudo apt-get autoclean" # clean apt cache
diff --git a/plugins/gem/gem.plugin.zsh b/plugins/gem/gem.plugin.zsh
deleted file mode 100644
index d4e5c6584..000000000
--- a/plugins/gem/gem.plugin.zsh
+++ /dev/null
@@ -1,4 +0,0 @@
-# add gem completion function to path
-fpath=($ZSH/plugins/gem $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/git-flow/git-flow.plugin.zsh b/plugins/git-flow/git-flow.plugin.zsh
new file mode 100644
index 000000000..270bcbe38
--- /dev/null
+++ b/plugins/git-flow/git-flow.plugin.zsh
@@ -0,0 +1,332 @@
+#!zsh
+#
+# Installation
+# ------------
+#
+# To achieve git-flow completion nirvana:
+#
+# 0. Update your zsh's git-completion module to the newest verion.
+# From here. http://zsh.git.sourceforge.net/git/gitweb.cgi?p=zsh/zsh;a=blob_plain;f=Completion/Unix/Command/_git;hb=HEAD
+#
+# 1. Install this file. Either:
+#
+# a. Place it in your .zshrc:
+#
+# b. Or, copy it somewhere (e.g. ~/.git-flow-completion.zsh) and put the following line in
+# your .zshrc:
+#
+# source ~/.git-flow-completion.zsh
+#
+# c. Or, use this file as a oh-my-zsh plugin.
+#
+
+_git-flow ()
+{
+ local curcontext="$curcontext" state line
+ typeset -A opt_args
+
+ _arguments -C \
+ ':command:->command' \
+ '*::options:->options'
+
+ case $state in
+ (command)
+
+ local -a subcommands
+ subcommands=(
+ 'init:Initialize a new git repo with support for the branching model.'
+ 'feature:Manage your feature branches.'
+ 'release:Manage your release branches.'
+ 'hotfix:Manage your hotfix branches.'
+ 'support:Manage your support branches.'
+ 'version:Shows version information.'
+ )
+ _describe -t commands 'git flow' subcommands
+ ;;
+
+ (options)
+ case $line[1] in
+
+ (init)
+ _arguments \
+ -f'[Force setting of gitflow branches, even if already configured]'
+ ;;
+
+ (version)
+ ;;
+
+ (hotfix)
+ __git-flow-hotfix
+ ;;
+
+ (release)
+ __git-flow-release
+ ;;
+
+ (feature)
+ __git-flow-feature
+ ;;
+ esac
+ ;;
+ esac
+}
+
+__git-flow-release ()
+{
+ local curcontext="$curcontext" state line
+ typeset -A opt_args
+
+ _arguments -C \
+ ':command:->command' \
+ '*::options:->options'
+
+ case $state in
+ (command)
+
+ local -a subcommands
+ subcommands=(
+ 'start:Start a new release branch.'
+ 'finish:Finish a release branch.'
+ 'list:List all your release branches. (Alias to `git flow release`)'
+ )
+ _describe -t commands 'git flow release' subcommands
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+
+ (options)
+ case $line[1] in
+
+ (start)
+ _arguments \
+ -F'[Fetch from origin before performing finish]'\
+ ':version:__git_flow_version_list'
+ ;;
+
+ (finish)
+ _arguments \
+ -F'[Fetch from origin before performing finish]' \
+ -s'[Sign the release tag cryptographically]'\
+ -u'[Use the given GPG-key for the digital signature (implies -s)]'\
+ -m'[Use the given tag message]'\
+ -p'[Push to $ORIGIN after performing finish]'\
+ ':version:__git_flow_version_list'
+ ;;
+
+ *)
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+ esac
+ ;;
+ esac
+}
+
+__git-flow-hotfix ()
+{
+ local curcontext="$curcontext" state line
+ typeset -A opt_args
+
+ _arguments -C \
+ ':command:->command' \
+ '*::options:->options'
+
+ case $state in
+ (command)
+
+ local -a subcommands
+ subcommands=(
+ 'start:Start a new hotfix branch.'
+ 'finish:Finish a hotfix branch.'
+ 'list:List all your hotfix branches. (Alias to `git flow hotfix`)'
+ )
+ _describe -t commands 'git flow hotfix' subcommands
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+
+ (options)
+ case $line[1] in
+
+ (start)
+ _arguments \
+ -F'[Fetch from origin before performing finish]'\
+ ':hotfix:__git_flow_version_list'\
+ ':branch-name:__git_branch_names'
+ ;;
+
+ (finish)
+ _arguments \
+ -F'[Fetch from origin before performing finish]' \
+ -s'[Sign the release tag cryptographically]'\
+ -u'[Use the given GPG-key for the digital signature (implies -s)]'\
+ -m'[Use the given tag message]'\
+ -p'[Push to $ORIGIN after performing finish]'\
+ ':hotfix:__git_flow_hotfix_list'
+ ;;
+
+ *)
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+ esac
+ ;;
+ esac
+}
+
+__git-flow-feature ()
+{
+ local curcontext="$curcontext" state line
+ typeset -A opt_args
+
+ _arguments -C \
+ ':command:->command' \
+ '*::options:->options'
+
+ case $state in
+ (command)
+
+ local -a subcommands
+ subcommands=(
+ 'start:Start a new feature branch.'
+ 'finish:Finish a feature branch.'
+ 'list:List all your feature branches. (Alias to `git flow feature`)'
+ 'publish: public'
+ 'track: track'
+ 'diff: diff'
+ 'rebase: rebase'
+ 'checkout: checkout'
+ 'pull: pull'
+ )
+ _describe -t commands 'git flow feature' subcommands
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+
+ (options)
+ case $line[1] in
+
+ (start)
+ _arguments \
+ -F'[Fetch from origin before performing finish]'\
+ ':feature:__git_flow_feature_list'\
+ ':branch-name:__git_branch_names'
+ ;;
+
+ (finish)
+ _arguments \
+ -F'[Fetch from origin before performing finish]' \
+ -r'[Rebase instead of merge]'\
+ ':feature:__git_flow_feature_list'
+ ;;
+
+ (publish)
+ _arguments \
+ ':feature:__git_flow_feature_list'\
+ ;;
+
+ (track)
+ _arguments \
+ ':feature:__git_flow_feature_list'\
+ ;;
+
+ (diff)
+ _arguments \
+ ':branch:__git_branch_names'\
+ ;;
+
+ (rebase)
+ _arguments \
+ -i'[Do an interactive rebase]' \
+ ':branch:__git_branch_names'
+ ;;
+
+ (checkout)
+ _arguments \
+ ':branch:__git_flow_feature_list'\
+ ;;
+
+ (pull)
+ _arguments \
+ ':remote:__git_remotes'\
+ ':branch:__git_branch_names'
+ ;;
+
+ *)
+ _arguments \
+ -v'[Verbose (more) output]'
+ ;;
+ esac
+ ;;
+ esac
+}
+
+__git_flow_version_list ()
+{
+ local expl
+ declare -a versions
+
+ versions=(${${(f)"$(_call_program versions git flow release list 2> /dev/null | tr -d ' |*')"}})
+ __git_command_successful || return
+
+ _wanted versions expl 'version' compadd $versions
+}
+
+__git_flow_feature_list ()
+{
+ local expl
+ declare -a features
+
+ features=(${${(f)"$(_call_program features git flow feature list 2> /dev/null | tr -d ' |*')"}})
+ __git_command_successful || return
+
+ _wanted features expl 'feature' compadd $features
+}
+
+__git_remotes () {
+ local expl gitdir remotes
+
+ gitdir=$(_call_program gitdir git rev-parse --git-dir 2>/dev/null)
+ __git_command_successful || return
+
+ remotes=(${${(f)"$(_call_program remotes git config --get-regexp '"^remote\..*\.url$"')"}//#(#b)remote.(*).url */$match[1]})
+ __git_command_successful || return
+
+ # TODO: Should combine the two instead of either or.
+ if (( $#remotes > 0 )); then
+ _wanted remotes expl remote compadd $* - $remotes
+ else
+ _wanted remotes expl remote _files $* - -W "($gitdir/remotes)" -g "$gitdir/remotes/*"
+ fi
+}
+
+__git_flow_hotfix_list ()
+{
+ local expl
+ declare -a hotfixes
+
+ hotfixes=(${${(f)"$(_call_program hotfixes git flow hotfix list 2> /dev/null | tr -d ' |*')"}})
+ __git_command_successful || return
+
+ _wanted hotfixes expl 'hotfix' compadd $hotfixes
+}
+
+__git_branch_names () {
+ local expl
+ declare -a branch_names
+
+ branch_names=(${${(f)"$(_call_program branchrefs git for-each-ref --format='"%(refname)"' refs/heads 2>/dev/null)"}#refs/heads/})
+ __git_command_successful || return
+
+ _wanted branch-names expl branch-name compadd $* - $branch_names
+}
+
+__git_command_successful () {
+ if (( ${#pipestatus:#0} > 0 )); then
+ _message 'not a git repository'
+ return 1
+ fi
+ return 0
+}
+
+zstyle ':completion:*:*:git:*' user-commands flow:'description for foo' \ No newline at end of file
diff --git a/plugins/github/github.plugin.zsh b/plugins/github/github.plugin.zsh
index 8d4580654..df7053ba7 100644
--- a/plugins/github/github.plugin.zsh
+++ b/plugins/github/github.plugin.zsh
@@ -5,7 +5,3 @@ if [ "$commands[(I)hub]" ]; then
function git(){hub "$@"}
fi
-# add github completion function to path
-fpath=($ZSH/plugins/github $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/lein/lein.plugin.zsh b/plugins/lein/lein.plugin.zsh
new file mode 100644
index 000000000..19af3556a
--- /dev/null
+++ b/plugins/lein/lein.plugin.zsh
@@ -0,0 +1,27 @@
+function _lein_commands() {
+ local ret=1 state
+ _arguments ':subcommand:->subcommand' && ret=0
+
+ case $state in
+ subcommand)
+ subcommands=(
+ "clean:remove compiled files and dependencies from project"
+ "compile:ahead-of-time compile the project"
+ "deps:download and install all dependencies"
+ "help:display a list of tasks or help for a given task"
+ "install:install the project and its dependencies in your local repository"
+ "jar:create a jar file containing the compiled .class files"
+ "new:create a new project skeleton"
+ "pom:write a pom.xml file to disk for maven interop"
+ "test:run the project's tests"
+ "uberjar:Create a jar including the contents of each of deps"
+ "upgrade:upgrade leiningen to the latest stable release"
+ "version:print leiningen's version"
+ )
+ _describe -t subcommands 'leiningen subcommands' subcommands && ret=0
+ esac
+
+ return ret
+}
+
+compdef _lein_commands lein
diff --git a/plugins/macports/macports.plugin.zsh b/plugins/macports/macports.plugin.zsh
index cbbc49265..277352e32 100644
--- a/plugins/macports/macports.plugin.zsh
+++ b/plugins/macports/macports.plugin.zsh
@@ -6,7 +6,3 @@ alias puni="sudo port uninstall inactive"
alias puo="sudo port upgrade outdated"
alias pup="psu && puo"
-# add macports completion function to path
-fpath=($ZSH/plugins/macports $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/mysql-macports/mysql-macports.plugin.zsh b/plugins/mysql-macports/mysql-macports.plugin.zsh
new file mode 100644
index 000000000..c39563fe4
--- /dev/null
+++ b/plugins/mysql-macports/mysql-macports.plugin.zsh
@@ -0,0 +1,8 @@
+# commands to control local mysql-server installation
+# paths are for osx installation via macports
+
+alias mysqlstart='sudo /opt/local/share/mysql5/mysql/mysql.server start'
+alias mysqlstop='sudo /opt/local/share/mysql5/mysql/mysql.server stop'
+alias mysqlrestart='sudo /opt/local/share/mysql5/mysql/mysql.server restart'
+
+alias mysqlstatus='mysqladmin5 -u root -p ping'
diff --git a/plugins/mysql/mysql-macports.plugin.zsh b/plugins/mysql/mysql-macports.plugin.zsh
deleted file mode 100644
index 63b881c9f..000000000
--- a/plugins/mysql/mysql-macports.plugin.zsh
+++ /dev/null
@@ -1,6 +0,0 @@
-# commands to control local mysql-server installation
-# paths are for osx installtion via macports
-
-alias mysqlstart='sudo /opt/local/bin/mysqld_safe5'
-alias mysqlstop='/opt/local/bin/mysqladmin5 -u root -p shutdown'
-alias mysqlstatus='mysqladmin5 -u root -p ping' \ No newline at end of file
diff --git a/plugins/npm/npm.plugin.zsh b/plugins/npm/npm.plugin.zsh
deleted file mode 100644
index 826f0f7b0..000000000
--- a/plugins/npm/npm.plugin.zsh
+++ /dev/null
@@ -1,4 +0,0 @@
-# add npm completion function to path
-fpath=($ZSH/plugins/npm $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/pip/pip.plugin.zsh b/plugins/pip/pip.plugin.zsh
deleted file mode 100644
index bf9f23968..000000000
--- a/plugins/pip/pip.plugin.zsh
+++ /dev/null
@@ -1,4 +0,0 @@
-# add brew completion function to path
-fpath=($ZSH/plugins/pip $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/rails3/rails3.plugin.zsh b/plugins/rails3/rails3.plugin.zsh
index 6bf2ba088..f669ef047 100644
--- a/plugins/rails3/rails3.plugin.zsh
+++ b/plugins/rails3/rails3.plugin.zsh
@@ -1,10 +1,30 @@
-alias rs='ruby script/rails server'
-alias rg='ruby script/rails generate'
-alias rd='ruby script/rails destroy'
-alias rp='ruby script/rails plugin'
+# Rails 3 aliases, backwards-compatible with Rails 2.
+
+function _bundle_command {
+ if command -v bundle && [ -e "Gemfile" ]; then
+ bundle exec $@
+ else
+ $@
+ fi
+}
+
+function _rails_command () {
+ if [ -e "script/server" ]; then
+ ruby script/$@
+ else
+ ruby script/rails $@
+ fi
+}
+
+alias rc='_rails_command console'
+alias rd='_rails_command destroy'
+alias rdb='_rails_command dbconsole'
alias rdbm='rake db:migrate db:test:clone'
-alias rdbmr='rake db:migrate && rake db:migrate:redo'
-alias rc='ruby script/rails console'
-alias rd='ruby script/rails server --debugger'
+alias rg='_rails_command generate'
+alias rp='_rails_command plugin'
+alias rs='_rails_command server'
+alias rsd='_rails_command server --debugger'
alias devlog='tail -f log/development.log'
+alias rspec='_bundle_command rspec'
+alias cuke='_bundle_command cucumber'
diff --git a/plugins/redis-cli/_redis-cli b/plugins/redis-cli/_redis-cli
new file mode 100644
index 000000000..3789add18
--- /dev/null
+++ b/plugins/redis-cli/_redis-cli
@@ -0,0 +1,142 @@
+#compdef redis-cli rec
+#autoload
+
+#redis cli completion, based off homebrew completion (ref. 2011-04-14)
+
+local -a _1st_arguments
+_1st_arguments=(
+ 'append:append a value to a key'
+ 'auth:authenticate to the server'
+ 'bgrewriteeaof:asynchronously rewrite the append-only file'
+ 'bgsave:asynchornously save the dataset to disk'
+ 'blpop:remove and get the first element in a list, or block until one is available'
+ 'brpop:remove and get the last element in a list, or block until one is available'
+ 'brpoplpush:pop a value from a list, push it to another list and return it; or block until one is available'
+ # 'config get:get the value of a configuration parameter'
+ # 'config set:set a configuration parameter to the given value'
+ # 'config resetstat: reset the stats returned by INFO'
+ 'dbsize:return the number of keys in the selected database'
+ # 'debug object:get debugging information about a key'
+ # 'debug setgfault:make the server crash'
+ 'decr:decrement the integer value of a key by one'
+ 'decrby:decrement the integet value of a key by the given number'
+ 'del:delete a key'
+ 'discard:discard all commands issued after MULTI'
+ 'echo:echo the given string'
+ 'exec:execute all commands issued after a MULTI'
+ 'exists:determine if a key exists'
+ 'expire:set the time to live for a key, in seconds'
+ 'expireat:set the expiration for a key as a UNIX timestamp'
+ 'flushall:remove all keys from all databases'
+ 'flushdb:remove all keys from the current database'
+ 'get:get the value of a key'
+ 'getbit:returns the bit value at offset in the string value stored at key'
+ 'getrange:get a substring of the string stored at a key'
+ 'getset:set the string value of a key and return its old value'
+ 'hdel:delete a hash field'
+ 'hexists:determine if a hash field exists'
+ 'hget:get the value of a hash field'
+ 'hgetall:get all the fields and values in a hash'
+ 'hincrby:increment the integer value of a hash field by the given number'
+ 'hkeys:get all the fields in a hash'
+ 'hlen:get the number of fields in a hash'
+ 'hmget:get the values of all the given hash fields'
+ 'hmset:set multiple hash fields to multiple values'
+ 'hset:set the string value of a hash field'
+ 'hsetnx:set the value of a hash field, only if the field does not exist'
+ 'hvals:get all the values in a hash'
+ 'incr:increment the integer value of a key by one'
+ 'incrby:increment the integer value of a key by the given number'
+ 'info:get information and statistics about the server'
+ 'keys:find all keys matching the given pattern'
+ 'lastsave:get the UNIX timestamp of the last successful save to disk'
+ 'lindex:get an element from a list by its index'
+ 'linset:insert an element before or after another element in a list'
+ 'llen:get the length of a list'
+ 'lpop:remove and get the first element in a list'
+ 'lpush:prepend a value to a list'
+ 'lpushx:prepend a value to a list, only if the list exists'
+ 'lrange:get a range of elements from a list'
+ 'lrem:remove elements from a list'
+ 'lset:set the value of an element in a list by its index'
+ 'ltrim:trim a list to the specified range'
+ 'mget:get the values of all the given keys'
+ 'monitor:listen for all requests received by the server in real time'
+ 'move:move a key to another database'
+ 'mset:set multiple keys to muliple values'
+ 'msetnx:set multiple keys tom ultiple values, only if none of the keys exist'
+ 'multi:mark the start of a transaction block'
+ 'object:inspect the internals of Redis objects'
+ 'persist:remove the expiration from a key'
+ 'ping:ping the server'
+ 'psubscribe:listen for messages published to channels matching the given patterns'
+ 'publish:post a message to a channel'
+ 'punsubscribe:stop listening for messages posted to channels matching the given patterns'
+ 'quit:close the connection'
+ 'randomkey:return a random key from the keyspace'
+ 'rename:rename a key'
+ 'renamenx:rename a key, only if the new key does not exist'
+ 'rpop:remove and get the last element in a list'
+ 'rpoplpush:remove the last element in a list, append it to another list and return it'
+ 'rpush:append a value to a list'
+ 'rpushx:append a value to a list, only if the list exists'
+ 'sadd:add a member to a set'
+ 'save:synchronously save the dataset to disk'
+ 'scard:get the number of members in a set'
+ 'sdiff:subtract multiple sets'
+ 'sdiffstore:subtract multiple sets and store the resulting set in a key'
+ 'select:change the selected database for the current connection'
+ 'set:set the string value of a key'
+ 'setbit:sets or clears the bit at offset in the string value stored at key'
+ 'setex:set the value and expiration of a key'
+ 'setnx:set the value of a key, only if the key does not exist'
+ 'setrange:overwrite part of a string at key starting at the specified offset'
+ 'shutdown:synchronously save the dataset to disk and then shut down the server'
+ 'sinter:intersect multiple sets'
+ 'sinterstore:intersect multiple sets and store the resulting set in a key'
+ 'sismember:determine if a given value is a member of a set'
+ 'slaveof:make the server a slave of another instance, or promote it as master'
+ 'smembers:get all the members in a set'
+ 'smove:move a member from one set to another'
+ 'sort:sort the elements in a list, set or sorted set'
+ 'spop:remove and return a random member from a set'
+ 'srandmember:get a random member from a set'
+ 'srem:remove a member from a set'
+ 'strlen:get the length of the value stored in a key'
+ 'subscribe:listen for messages published to the given channels'
+ 'sunion:add multiple sets'
+ 'sunionstore:add multiple sets and store the resulting set in a key'
+ 'ttl:get the time to live for a key'
+ 'type:determine the type stored at key'
+ 'unsubscribe:stop listening for messages posted to the given channels'
+ 'unwatch:forget about all watched keys'
+ 'watch:watch the given keys to determine execution of the MULTI/EXEC block'
+ 'zadd:add a member to a sorted set, or update its score if it already exists'
+ 'zcard:get the number of members in a sorted set'
+ 'zcount:count the members in a sorted set with scores within the given values'
+ 'zincrby:increment the score of a member in a sorted set'
+ 'zinterstore:intersect multiple sorted sets and store the resulting sorted set in a new key'
+ 'zrange:return a range of members in a sorted set, by index'
+ 'zrangebyscore:return a range of members in a sorted set, by score'
+ 'zrank:determine the index of a member in a sorted set'
+ 'zrem:remove a member from a sorted set'
+ 'zremrangebyrank:remove all members in a sorted set within the given indexes'
+ 'zremrangebyscore:remove all members in a sorted set within the given scores'
+ 'zrevrange:return a range of membrs in a sorted set, by index, with scores ordered from high to low'
+ 'zrevrangebyscore:return a range of members in a sorted set, by score, with scores ordered from high to low'
+ 'zrevrank:determine the index of a member in a sorted set, with scores ordered from high to low'
+ 'zscore:get the score associated with the given member in a sorted set'
+ 'zunionstore:add multiple sorted sets and store te resulting sorted set in a new key'
+)
+
+local expl
+
+_arguments \
+ '(-v --version)'{-v,--version}'[show version]' \
+ '(-h --help)'{-h,--help}'[show help]' \
+ '*:: :->subcmds' && return 0
+
+if (( CURRENT == 1 )); then
+ _describe -t commands "redis-cli subcommand" _1st_arguments
+ return
+fi \ No newline at end of file
diff --git a/plugins/vagrant/vagrant.plugin.zsh b/plugins/vagrant/vagrant.plugin.zsh
deleted file mode 100644
index 5e9bcf10a..000000000
--- a/plugins/vagrant/vagrant.plugin.zsh
+++ /dev/null
@@ -1,3 +0,0 @@
-fpath=($ZSH/plugins/vagrant $fpath)
-autoload -U compinit
-compinit -i
diff --git a/plugins/yum/yum.plugin.zsh b/plugins/yum/yum.plugin.zsh
new file mode 100644
index 000000000..d6ba7ed62
--- /dev/null
+++ b/plugins/yum/yum.plugin.zsh
@@ -0,0 +1,12 @@
+## Aliases
+
+alias ys="yum search" # search package
+alias yp="yum info" # show package info
+alias yl="yum list" # list packages
+alias yli="yum list installed" # print all installed packages
+
+alias yu="sudo yum update" # upgrate packages
+alias yi="sudo yum install" # install package
+alias yr="sudo yum remove" # remove package
+alias yrl="sudo yum remove --remove-leaves" # remove package and leaves
+alias yc="sudo yum clean all" # clean cache